image: docker:git

variables:
  TMPDIR: "${CI_PROJECT_DIR}.tmp"

services:
  - docker:dind

stages:
  - build

before_script:
  - apk add --update bash coreutils tar wget
  - git clone https://github.com/ros-industrial/industrial_ci.git .ci_config

industrial_ci_kinetic:
  stage: build
  script: .ci_config/gitlab.sh
  variables:
    ROS_DISTRO: kinetic
    ROS_PARALLEL_JOBS: "-j1" # keep this for now, since there seems to be memory limit issues in the ci VM
